# RSS Feed Display Script by Hellf[i]re v0.2 (edited by OlegON)
#
# This script is designed for most any RSS Feed. As some feeds may not be
# completely compliant, it may need a bit of tweaking
#
# This script depends on curl.
# Gentoo: emerge -av net-misc/curl
# Debian: apt-get install curl
# Homepage: http://curl.haxx.se/ && http://olegon.ru
#
# Usage:
# .conkyrc: ${execi [time] /path/to/script/conky-rss.sh}
#
# Usage Example
# ${execi 300 /home/youruser/scripts/rss.sh}

#RSS Setup
URI=http://olegon.ru/external.php?type=rss2 #URI of RSS Feed
LINES=7 #Number of headlines

#Environment Setup
EXEC="/usr/bin/curl -s --connect-timeout 30" #Path to curl

#Work Start
echo
$EXEC $URI | iconv -f WINDOWS-1251 -t UTF8 | grep title |\
sed -e :a -e 's/<[^>]*>//g;/</N' |\
sed -e 's/[ \t]*//' |\
sed -e 's/\(.*\)/ \1/' |\
sed -e 's/\.//' |\
sed -e 's/\"//' |\
sed -e 's/\"//'|\
sed -e 's/ //'|\
grep -v ^$ |\
head -n $(($LINES+2)) |\
tail -n $(($LINES)) |\
cut -c -65
echo